<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Webpanel</title>
    <link rel="stylesheet" type="text/css" href="style.css">
    <script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/Chart.js/2.1.3/Chart.min.js"></script>
    <script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.1.1/jquery.min.js"></script>
</head>
<body>

<nav>
    <ul>
        <li><a href="index.html">Startseite</a></li>
        <li><a href="console.html">Konsole</a></li>
        <li><a>Account</a></li>
    </ul>
</nav>

<div>
    <h1>Konsole</h1>
    <section id="console_send"></section>
    <form>
        <input type="text" placeholder=">" id="command">
        <input type="button" value="Senden" id="send">
    </form>
    <section id="console_view"></section>
</div>

<script>
    function updateConsole() {
        $('#console_view').load("console_view.html");
    }
    $(document).ready(function () {
        updateConsole();
        window.setInterval("updateConsole()", 2000);
    })
    $('#send').click(function () {
        const cmd = $('#command');
        $('#console_send').load('console_send?' + cmd.val());
        cmd.val("");
        updateConsole();
    })
</script>

</body>
</html>